Package org.apache.tools.ant.types.optional.imageio

# Interface DrawOperation

All Known Implementing Classes:
  `Arc`, `BasicShape`, `Ellipse`, `Rectangle`, `Rotate`, `Scale`, `Text`

public interface DrawOperation
Interface which represents an Operation which is "drawable", such as a Rectangle, Circle or Text. The Operation is responsible for creating its own image buffer and drawing itself into it, then wrapping and returning it as a PlanarImage. This allows multiple "drawable" objects to be nested.

See Also:
  - `ImageIOTask`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BufferedImage`
  `executeDrawOperation()`
  Abstract method which is intended to create an image buffer and return it so it can be drawn into another object.

- ## Method Details

  - ### executeDrawOperation

    BufferedImage executeDrawOperation()
    Abstract method which is intended to create an image buffer and return it so it can be drawn into another object. Use an Alpha channel for a "transparent" background.
    Returns:
      a planar image